// components/banner/banner.js
const util = require('../../utils/util.js');
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Array,
      value: null
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    selectIndex: 0
  },
  /**
   * 组件的方法列表
   */
  methods: {
    onSlideChangeEnd: function (e) {
      if (this.properties.data.length > 1) {
        this.setData({
          selectIndex: e.detail.current
        })
      } else {
        return false
      }

    },
    tapBannerAction: function (e) {
      const {
        currentIndex
      } = e.currentTarget.dataset;
      const tmp = this.data.data[currentIndex];

      if (tmp.appUrl.length) {
        const {
          url
        } = util.urlParse(tmp.appUrl)
        wx.navigateTo({
          url: url
        });
      }
    }
  }
})