// 请注意常量的命名必须是Page
const Page = require('../../utils/ald-stat.js').Page;
const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_house_intro,
} = require('../../utils/api.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLoading:true,
    data:null,
    selectIndex:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.loadData()
  },
  loadData: function () {
    let params = {};
    params.url = api_house_intro;
    net.req(params, true).then((data) => {
      this.setData({
        isLoading: false,
        data: data
      });
    }, (e) => {
      this.setData({
        isLoading: false
      });
    });

  },

  tapChangeTab(e){
    const {currentIndex} = e.currentTarget.dataset
    this.setData({
      selectIndex:currentIndex
    })
  }
 
})