// 请注意常量的命名必须是Page
const Page = require('../../utils/ald-stat.js').Page;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    webUrl: null,
    isLoading: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let {
      name,
      webUrl
    } = options

    if (options && webUrl) {
      try {
        webUrl = decodeURIComponent(webUrl)
      } catch (error) {} finally {
        // 此处是出口语句
        this.setData({
          webUrl: webUrl
        })
      }
      if (name) {
        wx.setNavigationBarTitle({
          title: name,
        })
      }
    }


  },

  webLoad: function (e) {
    setTimeout(() => {
      this.setData({
        isLoading: false
      })
    }, 500);
  }


})