/**
 * 接口地址api，
 * 接口文档链接：http://www.xiaoyaoji.cn/doc/IxnvWtmCX
 */
const cfg = require(`./config.js`);
const api = cfg.api();
const apis = {
  api_get_openid: `${api}/miniprogram/get-openid`,
  api_get_unionid: `${api}/miniprogram/get-unionid`,
  api_get_mobile_prefix: `${api}/common/address`,
  api_send_code: `${api}/common/user/verification`,
  api_get_sale_info: `${api}/common/user/get-sale-info`,
  api_video_hit: `${api}/miniprogram/find/video-hit`, // 更新视频阅读量
  api_apply_info: `${api}/hops/user/order/applyInfo.do`, // 申请详情
  api_apply_list: `${api}/hops/user/order/appliedList.do`, // 申请列表
  api_apply_order: `${api}/common/order/apply-order`, // 预约顾问
  api_apply: `${api}/common/order/apply`, // 添加下单申请表
  api_collect_list: `${api}/common/user/collection-list`, //我的收藏
  api_collect_add: `${api}/common/user/collection`, // 收藏
  api_collect_del: `${api}/common/user/cancel-collection`, // 取消收藏

  api_room_detail: `${api}/miniprogram/v/house/detail`, // 获取房源详情-弹出页
  api_all_house: `${api}/miniprogram/v2/house/item-list`, // 获取房源详情-房源列表
  api_house_detail: `${api}/miniprogram/v/house/detail`, // 获取房源详情
  api_house_room_list: `${api}/miniprogram/v/house/room-list`, // building下的房间列表
  api_video_list: `${api}/miniprogram/find/video-list`, // 获取视频列表数据
  api_index_home: `${api}/miniprogram/v/index/list`, // 获取home数据
  api_ad_list: `${api}/miniprogram/v/index/login-img`, // 获取活动ad数据
  api_house_list: `${api}/miniprogram/v/house/list`, // 获取房源列表
  api_filter_school: `${api}/miniprogram/v/house/school-filter`, // 学校列表
  api_filter_house: `${api}/miniprogram/v/house/house-filter`, // 获取房源列表检索条件
  api_filter_sort: `${api}/miniprogram/v/house/sort`, // 排序列表
  api_search_house: `${api}/common/search/querycomplete`, // 搜索房源
  api_get_cities: `${api}/common/address`, // 国家城市
  api_get_video_detail: `${api}/miniprogram/find/video-details`, // 视频详情
  api_get_QR: `${api}/miniprogram/hooli-help/get-qrcode`, // 海报二维码

  api_wx_login: `${api}/jcgi/uuc/weapp/login`, // java微信登录
  api_mobile_code: `${api}/jcgi/uuc/common/sms/verifyCode`, // java发送验证码
  api_mobile_login: `${api}/jcgi/uuc/login`, // java手机登录,
  api_invitation_list: `${api}/jcgi/hActivity/invite/invitationList`, // 邀请列表,
  api_invite_shareInfo: `${api}/jcgi/hActivity/invite/shareInfo`, // 获取拉新活动分享相关,
  api_house_intro: `${api}/miniprogram/v/house/intro`, // 房型介绍
  api_school_list: `${api}/miniprogram/v/customized/school-list`, // 意向学校
};
module.exports = apis;