// components/houseCard/houseCard.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Object,
      value: null
    }
  },
  /**
   * 组件的方法列表
   */
  methods: {
    tapCardAction() {
      const {
        code
      } = this.properties.data;
      wx.navigateTo({
        url: `/pages/roomDetail/roomDetail?code=${code}`
      });
    },

    //申请
    tapApplyAction() {
      const {
        code,
        notRentText
      } = this.properties.data;
      if (parseInt(notRentText) == 1) {
        wx.navigateTo({
          url: '/pages/applyOne/applyOne?code=' + code
        });
      } else {
        wx.showToast({
          title: "您选择的房间已租满,请选择其它房间"
        })
      }
    }
  }
})