const app = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    list: [{
        "pagePath": "../../pages/home/home",
        "iconPath": "/imgs/tabbar/tab_home_normal.png",
        "selectedIconPath": "/imgs/tabbar/tab_home_select.png",
        "text": "首页"
      },
      {
        "iconPath": "/imgs/tabbar/tab_service_normal.png",
        "selectedIconPath": "/imgs/tabbar/tab_service_select.png",
        "pagePath": "",
        "text": "客服"
      },
      {
        "iconPath": "/imgs/tabbar/tab_my_normal.png",
        "selectedIconPath": "/imgs/tabbar/tab_my_select.png",
        "pagePath": "../../pages/my/my",
        "text": "我的"
      }
    ],
    selected: 0,
    isIPX: app.globalData.isIPX
  },

  /**
   * 组件的方法列表
   */
  methods: {
    tapAction(e) {
      let {
        id
      } = e.currentTarget.dataset
      this.triggerEvent('action', {
        id: id
      });
      if (id == 2) {
        wx.setNavigationBarTitle({
          title: '我的',
          success: function (res) {}
        })
      } else {
        wx.setNavigationBarTitle({
          title: 'hoolihome',
          success: function (res) {}
        })
      }

      this.setData({
        selected: id
      });
    }
  }
})