// 请注意常量的命名必须是Page
const Page = require('../../utils/ald-stat.js').Page;
const {
  mApi
} = require(`../../utils/config.js`);

Page({

  /**
   * 页面的初始数据
   */
  data: {
    webUrl: null,
    isLoading: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const {
      sence
    } = options;
    if (sence) {
      this.setData({
        webUrl: `${mApi()}/invite?sence=${sence}`
      })
    } else {
      wx.showModal({
        title: "提示",
        content: "邀请链接错误,请你稍后再试!!",
        showCancel: false
      });
    }
  },

  webLoad: function (e) {
    setTimeout(() => {
      this.setData({
        isLoading: false
      })
    }, 500);
  }


})